Bug 5443 - X with i915GM crashes at startup
Summary: X with i915GM crashes at startup
Status: RESOLVED DUPLICATE of bug 6750
Alias: None
Product: xorg
Classification: Unclassified
Component: Driver/intel (show other bugs)
Version: 7.0.0
Hardware: x86 (IA32) Linux (All)
: high normal
Assignee: Alan Hourihane
QA Contact:
URL:
Whiteboard:
Keywords:
: 5201 5812 5941 6385 6410 6695 (view as bug list)
Depends on:
Blocks: 5041
  Show dependency treegraph
 
Reported: 2005-12-29 07:18 UTC by Tobias Fabisch
Modified: 2006-05-08 11:42 UTC (History)
15 users (show)

See Also:
i915 platform:
i915 features:


Attachments
Xorg.0.log (59.74 KB, application/octet-stream)
2005-12-29 07:20 UTC, Tobias Fabisch
no flags Details
xorg.con (1.70 KB, application/octet-stream)
2005-12-29 07:25 UTC, Tobias Fabisch
no flags Details
The log of Xorg 6.9.0, freezing when started (49.52 KB, text/plain)
2006-01-16 21:39 UTC, Quentin DELANCE
no flags Details
The log of Xorg 6.8.2, which works (50.42 KB, text/plain)
2006-01-16 21:40 UTC, Quentin DELANCE
no flags Details
Xorg 6.9.0 freezing with 2.6.14 (49.52 KB, text/plain)
2006-01-17 00:43 UTC, Quentin DELANCE
no flags Details
lspci output 2.6.14 (7.67 KB, text/plain)
2006-01-17 02:00 UTC, Quentin DELANCE
no flags Details
lspci output 2.6.15 (7.69 KB, text/plain)
2006-01-17 02:01 UTC, Quentin DELANCE
no flags Details
The log Xorg 6.9.0, with extra verbosity (50.60 KB, text/plain)
2006-01-17 02:33 UTC, Quentin DELANCE
no flags Details
reverse hunk to (hopefully) avoid problem to narrow down search (6.68 KB, patch)
2006-01-17 02:55 UTC, Alan Hourihane
no flags Details | Splinter Review
Xorg 6.9.0 patched freezing (46.48 KB, text/plain)
2006-01-18 00:27 UTC, Quentin DELANCE
no flags Details
lspci ouput with 2 patches (6.89 KB, text/plain)
2006-01-18 03:14 UTC, Quentin DELANCE
no flags Details
Xorg log with 2 patches, still freezing (51.60 KB, text/plain)
2006-01-18 03:15 UTC, Quentin DELANCE
no flags Details
Xorg 6.9.0, working well with ALL patches (52.54 KB, text/plain)
2006-01-18 20:58 UTC, Quentin DELANCE
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Tobias Fabisch 2005-12-29 07:18:20 UTC
Hi,

i have a Notebook with an Intel i915GM card in it. 
I compiled agpgart,drm,i810,i915 into a 2.6.14 kernel.
When i start X (xorg 7.0.0) the monitor turns black and after a while i`m back
in the console with an "Fatal server error" and "Caught signal 11"
As in https://bugs.freedesktop.org/show_bug.cgi?id=5201 mentioned i recompiled x
with comment out ValidatePCI() to get rid of the  ****INVALID MEM ALLOCATION****
message. This also didn't help. 
The only (EE) i can see now is "end of block range 0xffe7ffff < begin 0xfff00000"
What can i do?
Thx
Tobias Fabisch
Comment 1 Tobias Fabisch 2005-12-29 07:20:31 UTC
Created attachment 4181 [details]
Xorg.0.log
Comment 2 Tobias Fabisch 2005-12-29 07:21:27 UTC
Comment on attachment 4181 [details]
Xorg.0.log

failure log
Comment 3 Tobias Fabisch 2005-12-29 07:25:30 UTC
Created attachment 4183 [details]
xorg.con

my current xorg.conf
Comment 4 Alan Hourihane 2005-12-29 08:45:23 UTC
See if your manufacturer has an updated BIOS that may help you.
Comment 5 Tobias Fabisch 2005-12-29 09:38:31 UTC
Unfortunately there isn't a new BIOS Version.
Is there any other chance to get this thing working?
Comment 6 Alan Hourihane 2005-12-30 00:05:18 UTC
You might want to try disabling things that you don't need in the BIOS.

Maybe modems or sound cards to see if the BIOS moves devices around.
Comment 7 Quentin DELANCE 2006-01-08 21:30:39 UTC
I think I face the same problem now that Xorg 6.9.0 has entred in Debian Sid...

See my bug here : 

http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=345914

There is a backtrace included, hope it will help.

Note that although there no line with "INVALID MEM ALLOCATION" in the log, I
have already seen it during my tests.

Comment 8 Alan Hourihane 2006-01-10 08:47:08 UTC
(In reply to comment #5)
> Unfortunately there isn't a new BIOS Version.
> Is there any other chance to get this thing working?

Can you submit the output of lspci -vvn
Comment 9 Quentin DELANCE 2006-01-12 19:50:50 UTC
(In reply to comment #8)
> (In reply to comment #5)
> > Unfortunately there isn't a new BIOS Version.
> > Is there any other chance to get this thing working?
> 
> Can you submit the output of lspci -vvn

As far as I am concerned, I have 2 different chipsets at work.
Module i810 provided with Xorg 6.9.0 is working on one chipset and crash on the
other.

Working chipset : 

# lspci -vvn
0000:00:00.0 0600: 8086:2560 (rev 03)
        Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr-
Stepping- SERR- FastB2B-
        Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort-
<MAbort+ >SERR- <PERR-
        Latency: 0
        Region 0: Memory at e0000000 (32-bit, prefetchable) [size=16M]
        Capabilities: [e4] #09 [1105]

0000:00:02.0 0300: 8086:2562 (rev 03)
        Subsystem: 1462:5578
        Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr-
Stepping- SERR- FastB2B-
        Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort-
<MAbort- >SERR- <PERR-
        Latency: 0
        Interrupt: pin A routed to IRQ 11
        Region 0: Memory at d0000000 (32-bit, prefetchable) [size=128M]
        Region 1: Memory at dff80000 (32-bit, non-prefetchable) [size=512K]
        Capabilities: [d0] Power Management version 1
                Flags: PMEClk- DSI+ D1- D2- AuxCurrent=0mA
PME(D0-,D1-,D2-,D3hot-,D3cold-)
                Status: D0 PME-Enable- DSel=0 DScale=0 PME-

0000:00:1d.0 0c03: 8086:24c2 (rev 02)
        Subsystem: 1462:24c0
        Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr-
Stepping- SERR- FastB2B-
        Status: Cap- 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort-
<TAbort- <MAbort- >SERR- <PERR-
        Latency: 0
        Interrupt: pin A routed to IRQ 185
        Region 4: I/O ports at e400 [size=32]

0000:00:1d.1 0c03: 8086:24c4 (rev 02)
        Subsystem: 1462:24c0
        Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr-
Stepping- SERR- FastB2B-
        Status: Cap- 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort-
<TAbort- <MAbort- >SERR- <PERR-
        Latency: 0
        Interrupt: pin B routed to IRQ 193
        Region 4: I/O ports at e800 [size=32]

0000:00:1d.2 0c03: 8086:24c7 (rev 02)
        Subsystem: 1462:24c0
        Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr-
Stepping- SERR- FastB2B-
        Status: Cap- 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort-
<TAbort- <MAbort- >SERR- <PERR-
        Latency: 0
        Interrupt: pin C routed to IRQ 169
        Region 4: I/O ports at ec00 [size=32]

0000:00:1d.7 0c03: 8086:24cd (rev 02) (prog-if 20)
        Subsystem: 1462:3981
        Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr-
Stepping- SERR+ FastB2B-
        Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort-
<TAbort- <MAbort- >SERR- <PERR-
        Latency: 0
        Interrupt: pin D routed to IRQ 177
        Region 0: Memory at dff7bc00 (32-bit, non-prefetchable) [size=1K]
        Capabilities: [50] Power Management version 2
                Flags: PMEClk- DSI- D1- D2- AuxCurrent=375mA
PME(D0+,D1-,D2-,D3hot+,D3cold+)
                Status: D0 PME-Enable- DSel=0 DScale=0 PME-
        Capabilities: [58] #0a [2080]

0000:00:1e.0 0604: 8086:244e (rev 82)
        Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr-
Stepping- SERR+ FastB2B-
        Status: Cap- 66MHz- UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort-
<MAbort- >SERR- <PERR+
        Latency: 0
        Bus: primary=00, secondary=01, subordinate=01, sec-latency=32
        I/O behind bridge: 0000b000-0000bfff
        Memory behind bridge: dfd00000-dfdfffff
        Prefetchable memory behind bridge: cfb00000-cfbfffff
        BridgeCtl: Parity- SERR+ NoISA+ VGA- MAbort- >Reset- FastB2B-

0000:00:1f.0 0601: 8086:24c0 (rev 02)
        Control: I/O+ Mem+ BusMaster+ SpecCycle+ MemWINV- VGASnoop- ParErr-
Stepping- SERR- FastB2B-
        Status: Cap- 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort-
<TAbort- <MAbort- >SERR- <PERR-
        Latency: 0

0000:00:1f.1 0101: 8086:24cb (rev 02) (prog-if 8a [Master SecP PriP])
        Subsystem: 1462:24c0
        Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr-
Stepping- SERR- FastB2B-
        Status: Cap- 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort-
<TAbort- <MAbort- >SERR- <PERR-
        Latency: 0
        Interrupt: pin A routed to IRQ 169
        Region 0: I/O ports at <unassigned>
        Region 1: I/O ports at <unassigned>
        Region 2: I/O ports at <unassigned>
        Region 3: I/O ports at <unassigned>
        Region 4: I/O ports at fc00 [size=16]
        Region 5: Memory at 40000000 (32-bit, non-prefetchable) [size=1K]

0000:00:1f.3 0c05: 8086:24c3 (rev 02)
        Subsystem: 1462:24c0
        Control: I/O+ Mem- BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr-
Stepping- SERR- FastB2B-
        Status: Cap- 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort-
<TAbort- <MAbort- >SERR- <PERR-
        Interrupt: pin B routed to IRQ 0
        Region 4: I/O ports at 0c00 [size=32]

0000:00:1f.5 0401: 8086:24c5 (rev 02)
        Subsystem: 1462:5570
        Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr-
Stepping- SERR- FastB2B-
        Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort-
<TAbort- <MAbort- >SERR- <PERR-
        Latency: 0
        Interrupt: pin B routed to IRQ 201
        Region 0: I/O ports at e000 [size=256]
        Region 1: I/O ports at dc00 [size=64]
        Region 2: Memory at dff7ba00 (32-bit, non-prefetchable) [size=512]
        Region 3: Memory at dff7b900 (32-bit, non-prefetchable) [size=256]
        Capabilities: [50] Power Management version 2
                Flags: PMEClk- DSI- D1- D2- AuxCurrent=375mA
PME(D0+,D1-,D2-,D3hot+,D3cold+)
                Status: D0 PME-Enable- DSel=0 DScale=0 PME-

0000:01:08.0 0200: 8086:1039 (rev 82)
        Subsystem: 1462:557c
        Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV+ VGASnoop- ParErr-
Stepping- SERR+ FastB2B-
        Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort-
<TAbort- <MAbort- >SERR- <PERR-
        Latency: 32 (2000ns min, 14000ns max), Cache Line Size: 0x08 (32 bytes)
        Interrupt: pin A routed to IRQ 209
        Region 0: Memory at dfdff000 (32-bit, non-prefetchable) [size=4K]
        Region 1: I/O ports at bc00 [size=64]
        Capabilities: [dc] Power Management version 2
                Flags: PMEClk- DSI+ D1+ D2+ AuxCurrent=0mA
PME(D0+,D1+,D2+,D3hot+,D3cold+)
                Status: D0 PME-Enable- DSel=0 DScale=2 PME-

(0000:00:02.0 VGA compatible controller: Intel Corporation
82845G/GL[Brookdale-G]/GE Chipset Integrated Graphics Device (rev 03))

#######################################################################


On the computer where Xorg is crashing : 

#lspci -vvn
0000:00:00.0 0600: 8086:2570 (rev 02)
        Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr-
Stepping- SERR- FastB2B-
        Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort-
<MAbort+ >SERR- <PERR-
        Latency: 0
        Region 0: Memory at fe800000 (32-bit, prefetchable) [size=4M]
        Capabilities: [e4] #09 [1106]

0000:00:02.0 0300: 8086:2572 (rev 02)
        Subsystem: 1462:7650
        Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr-
Stepping- SERR- FastB2B-
        Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort-
<MAbort- >SERR- <PERR-
        Latency: 0
        Interrupt: pin A routed to IRQ 177
        Region 0: Memory at f0000000 (32-bit, prefetchable) [size=128M]
        Region 1: Memory at ffe80000 (32-bit, non-prefetchable) [size=512K]
        Region 2: I/O ports at ec00 [size=8]
        Capabilities: [d0] Power Management version 1
                Flags: PMEClk- DSI+ D1- D2- AuxCurrent=0mA
PME(D0-,D1-,D2-,D3hot-,D3cold-)
                Status: D0 PME-Enable- DSel=0 DScale=0 PME-

0000:00:1d.0 0c03: 8086:24d2 (rev 02)
        Subsystem: 1462:7650
        Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr-
Stepping- SERR- FastB2B-
        Status: Cap- 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort-
<TAbort- <MAbort- >SERR- <PERR-
        Latency: 0
        Interrupt: pin A routed to IRQ 177
        Region 4: I/O ports at d400 [size=32]

0000:00:1d.1 0c03: 8086:24d4 (rev 02)
        Subsystem: 1462:7650
        Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr-
Stepping- SERR- FastB2B-
        Status: Cap- 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort-
<TAbort- <MAbort- >SERR- <PERR-
        Latency: 0
        Interrupt: pin B routed to IRQ 185
        Region 4: I/O ports at d800 [size=32]

0000:00:1d.2 0c03: 8086:24d7 (rev 02)
        Subsystem: 1462:7650
        Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr-
Stepping- SERR- FastB2B-
        Status: Cap- 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort-
<TAbort- <MAbort- >SERR- <PERR-
        Latency: 0
        Interrupt: pin C routed to IRQ 169
        Region 4: I/O ports at dc00 [size=32]

0000:00:1d.3 0c03: 8086:24de (rev 02)
        Subsystem: 1462:7650
        Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr-
Stepping- SERR- FastB2B-
        Status: Cap- 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort-
<TAbort- <MAbort- >SERR- <PERR-
        Latency: 0
        Interrupt: pin A routed to IRQ 177
        Region 4: I/O ports at e000 [size=32]

0000:00:1d.7 0c03: 8086:24dd (rev 02) (prog-if 20)
        Subsystem: 1462:7650
        Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr-
Stepping- SERR- FastB2B-
        Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort-
<TAbort- <MAbort- >SERR- <PERR-
        Latency: 0
        Interrupt: pin D routed to IRQ 193
        Region 0: Memory at ffe7b800 (32-bit, non-prefetchable) [size=1K]
        Capabilities: [50] Power Management version 2
                Flags: PMEClk- DSI- D1- D2- AuxCurrent=375mA
PME(D0+,D1-,D2-,D3hot+,D3cold+)
                Status: D0 PME-Enable- DSel=0 DScale=0 PME-
        Capabilities: [58] #0a [20a0]

0000:00:1e.0 0604: 8086:244e (rev c2)
        Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr-
Stepping- SERR+ FastB2B-
        Status: Cap- 66MHz- UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort-
<MAbort- >SERR- <PERR+
        Latency: 0
        Bus: primary=00, secondary=01, subordinate=01, sec-latency=32
        Memory behind bridge: ffc00000-ffcfffff
        BridgeCtl: Parity- SERR+ NoISA+ VGA- MAbort- >Reset- FastB2B-

0000:00:1f.0 0601: 8086:24d0 (rev 02)
        Control: I/O+ Mem+ BusMaster+ SpecCycle+ MemWINV- VGASnoop- ParErr-
Stepping- SERR- FastB2B-
        Status: Cap- 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort-
<TAbort- <MAbort- >SERR- <PERR-
        Latency: 0

0000:00:1f.1 0101: 8086:24db (rev 02) (prog-if 8a [Master SecP PriP])
        Subsystem: 1462:7650
        Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr-
Stepping- SERR- FastB2B-
        Status: Cap- 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort-
<TAbort- <MAbort- >SERR- <PERR-
        Latency: 0
        Interrupt: pin A routed to IRQ 169
        Region 0: I/O ports at <unassigned>
        Region 1: I/O ports at <unassigned>
        Region 2: I/O ports at <unassigned>
        Region 3: I/O ports at <unassigned>
        Region 4: I/O ports at fc00 [size=16]
        Region 5: Memory at 40000000 (32-bit, non-prefetchable) [size=1K]

0000:00:1f.3 0c05: 8086:24d3 (rev 02)
        Subsystem: 1462:7650
        Control: I/O+ Mem- BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr-
Stepping- SERR- FastB2B-
        Status: Cap- 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort-
<TAbort- <MAbort- >SERR- <PERR-
        Interrupt: pin B routed to IRQ 10
        Region 4: I/O ports at 0c00 [size=32]

0000:00:1f.5 0401: 8086:24d5 (rev 02)
        Subsystem: 1462:7650
        Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr-
Stepping- SERR- FastB2B-
        Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort-
<TAbort- <MAbort- >SERR- <PERR-
        Latency: 0
        Interrupt: pin B routed to IRQ 201
        Region 0: I/O ports at e800 [size=256]
        Region 1: I/O ports at e400 [size=64]
        Region 2: Memory at ffe7be00 (32-bit, non-prefetchable) [size=512]
        Region 3: Memory at ffe7bd00 (32-bit, non-prefetchable) [size=256]
        Capabilities: [50] Power Management version 2
                Flags: PMEClk- DSI- D1- D2- AuxCurrent=375mA
PME(D0+,D1-,D2-,D3hot+,D3cold+)
                Status: D0 PME-Enable- DSel=0 DScale=0 PME-

0000:01:0b.0 0200: 14e4:4401 (rev 01)
        Subsystem: 1462:7650
        Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr-
Stepping- SERR- FastB2B-
        Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort-
<MAbort- >SERR- <PERR-
        Latency: 32
        Interrupt: pin A routed to IRQ 209
        Region 0: Memory at ffcfe000 (32-bit, non-prefetchable) [size=8K]
        Capabilities: [40] Power Management version 2
                Flags: PMEClk- DSI- D1+ D2+ AuxCurrent=375mA
PME(D0+,D1+,D2+,D3hot+,D3cold+)
                Status: D0 PME-Enable- DSel=0 DScale=2 PME-


(0000:00:02.0 VGA compatible controller: Intel Corporation 82865G Integrated
Graphics Controller (rev 02))

Hope this helps
Comment 10 Alan Hourihane 2006-01-13 04:21:15 UTC
O.k. In your BIOS setup have you got the framebuffer size set to 16MB ??

If so, try setting it to 8MB or certainly less than 16MB to see if it makes a
difference.
Comment 11 Alan Hourihane 2006-01-13 04:26:09 UTC
Quentin - can you also provide logs ?
Comment 12 Alan Hourihane 2006-01-13 04:31:58 UTC
Actually Quentin looking at your bug in debian's bugzilla shows that you are
doing ...

X -configure 

which is crashing. Is that true ?
Comment 13 Quentin DELANCE 2006-01-14 05:38:28 UTC
(In reply to comment #12)
> Actually Quentin looking at your bug in debian's bugzilla shows that you are
> doing ...
> 
> X -configure 
> 
> which is crashing. Is that true ?

Hi Alan sorry for the delay.

I'll try to provide more information monday (the faulty machine is at work).
Particularly, I'll try to change the amount of video memory available. When
configuring X, I tend to skip the step (in debconf) asking for the available
memory. I always though X was able to do that himself and so far it worked
great. Maybe, there something wrong now.


X -configure was crashing. That's one of the first thing I tried (as at the
beginning I though the problem was in the orginal config file). But even when
starting without config file, Xorg was crashing the same way.
Comment 14 Alan Hourihane 2006-01-14 05:44:26 UTC
I'm not talking about changing the memory in X's configuration, I'm talking
about your VideoBIOS.

Additionally, you need to provide a log of it crashing without -configure.
Comment 15 Quentin DELANCE 2006-01-16 21:39:43 UTC
Created attachment 4362 [details]
The log of Xorg 6.9.0, freezing when started
Comment 16 Quentin DELANCE 2006-01-16 21:40:14 UTC
Created attachment 4363 [details]
The log of Xorg 6.8.2, which works
Comment 17 Quentin DELANCE 2006-01-16 21:43:02 UTC
(In reply to comment #14)
> I'm not talking about changing the memory in X's configuration, I'm talking
> about your VideoBIOS.
> 

OK, so I tried to change video memory in the BIOS.
It was possible to select 1Mb, 8Mb and 16 Mb.
I was using teh default value which is 8Mb.
I tried the 3 values and each time Xorg freezes.

> Additionally, you need to provide a log of it crashing without -configure.

The time you have the full log of both Xorg 6.9.0 (freezing) and Xorg 6.8.2
(working).

Tell me if you need more information (extra DEBUG in Xorg ?).
Comment 18 Quentin DELANCE 2006-01-16 21:44:16 UTC
(In reply to comment #17)
> 
> The time you have the full log of both Xorg 6.9.0 (freezing) and Xorg 6.8.2
> (working).
> 

Note that there is the "INVALID MEM ALLOCATION" line that appears in other
people's logs.

Comment 19 Alan Hourihane 2006-01-16 22:38:23 UTC
Quetin - you should look at bug #5201 - the original reporter

*** This bug has been marked as a duplicate of 5201 ***
Comment 20 Alan Hourihane 2006-01-16 22:40:11 UTC
Quetin - you should follow bug #5201 instead as I've marked this as a duplicate.

But are you running the same kernel when you ran 6.8.2 and 6.9.0 ??
Comment 21 Alan Hourihane 2006-01-16 22:42:05 UTC
From the X build I see that you might be running 2.6.14 with 6.8.2 and 2.6.15
with 6.9.0.

Could you try 2.6.14 with 6.9.0 ?
Comment 22 Quentin DELANCE 2006-01-17 00:28:47 UTC
(In reply to comment #21)
> From the X build I see that you might be running 2.6.14 with 6.8.2 and 2.6.15
> with 6.9.0.
> 
> Could you try 2.6.14 with 6.9.0 ?

Same problem.
I already tried changing kernel before.
But I'll upload the log in a second just in case.
Comment 23 Quentin DELANCE 2006-01-17 00:43:04 UTC
Created attachment 4364 [details]
Xorg 6.9.0 freezing with 2.6.14
Comment 24 Alan Hourihane 2006-01-17 01:21:54 UTC
Can you do the lspci output again with this machine and new kernel ?
Comment 25 Alan Hourihane 2006-01-17 01:39:42 UTC
Just want to confirm Quentin - that all you are doing now is starting X.org 6.9
or 6.8.2 on the same kernel and exactly the same boot sequence.

Is there anything different left ?

The fact is, that some of the PCI base addresses seem to be changing which looks
like the cause of the problem. Now, the i810 driver isn't doing this, so I
suspect it's either some change in the kernel, or X.Org 6.9 has introduced
something defective.
Comment 26 Quentin DELANCE 2006-01-17 02:00:09 UTC
(In reply to comment #24)
> Can you do the lspci output again with this machine and new kernel ?

See 2 uploaded logs as attachments
Comment 27 Quentin DELANCE 2006-01-17 02:00:54 UTC
Created attachment 4365 [details]
lspci output 2.6.14
Comment 28 Quentin DELANCE 2006-01-17 02:01:31 UTC
Created attachment 4366 [details]
lspci output 2.6.15
Comment 29 Quentin DELANCE 2006-01-17 02:06:16 UTC
(In reply to comment #25)
> Just want to confirm Quentin - that all you are doing now is starting X.org 6.9
> or 6.8.2 on the same kernel and exactly the same boot sequence.
> 

Same computer, exact boot sequence.
Was working OK with old Xorg 6.8.2
When updated to 6.9.0, freeze on boot
Downgrade to 6.8.2 => working
Re upgraded this morning to give you additionnal info so it does not work anymore.

> Is there anything different left ?
> 

In my opinion nothing.
The kernel change was due to the "dist-upgrade" which updated everything. 
And I also hoped that upgrading kernel could help ;)

Currently, Xorg 6.9.0 does not work whatever kernel I use.

> The fact is, that some of the PCI base addresses seem to be changing which looks
> like the cause of the problem. Now, the i810 driver isn't doing this, so I
> suspect it's either some change in the kernel, or X.Org 6.9 has introduced
> something defective.

Well, booting on the old kernel does not help here. So a kernel change may not
help but I have doubts it is at the heart of the problem. Maybe lspci outputs
will help you ?
Comment 30 Alan Hourihane 2006-01-17 02:25:20 UTC
O.k. it looks like the pci probe code in X.org 6.9 is broken.

Can you start X like this...

X -verbose 5

and submit a new log from 6.9 ?
Comment 31 Quentin DELANCE 2006-01-17 02:33:52 UTC
Created attachment 4367 [details]
The log Xorg 6.9.0, with extra verbosity

Result of X -verbose 5 -logverbose 5
Comment 32 Alan Hourihane 2006-01-17 02:55:32 UTC
Created attachment 4368 [details] [review]
reverse hunk to (hopefully) avoid problem to narrow down search

Quentin,

If you can build X yourself, apply this patch and see if the problem persists.

If it does, it'll help me narrow down the search of the problematic code.
Comment 33 Alan Hourihane 2006-01-17 02:56:10 UTC
Forgot to mention, you'll need to apply the patch with -R to reverse it.
Comment 34 Quentin DELANCE 2006-01-17 19:23:20 UTC
(In reply to comment #33)
> Forgot to mention, you'll need to apply the patch with -R to reverse it.

Patch applied but does not compile  :/

gcc -m32 -c -g -O2 -fno-strict-aliasing -ansi -Wall -Wpointer-arith
-Wstrict-prototypes                           -Wmissing-prototypes
-Wmissing-declarations                          -Wredundant-decls
-Wnested-externs -Wundef    -I.
-I../../../../../programs/Xserver/hw/xfree86/os-support
-I../../../../../programs/Xserver/hw/xfree86/os-support/bus
-I../../../../../programs/Xserver/mfb               
-I../../../../../programs/Xserver/mi -I../../../../../programs/Xserver/include
-I../../../../../programs/Xserver/os         
-I../../../../../exports/include/X11 -I../../../../../programs/Xserver/Xext
-I../../../../../include/extensions             
-I../../../../../programs/Xserver/Xi
-I../../../../../programs/Xserver/hw/xfree86/ddc
-I../../../../../programs/Xserver/hw/xfree86/i2c              
-I../../../../../lib/font/include -I../../../../../include/fonts               
-I../../../../../programs/Xserver/hw/xfree86
-I../../../../../programs/Xserver/hw/xfree86/parser            
-I../../../../../programs/Xserver/hw/xfree86/loader
-I../../../../../programs/Xserver/hw/xfree86/vgahw
-I../../../../../programs/Xserver/hw/xfree86/rac             
-I../../../../../programs/Xserver/hw/xfree86/scanpci
-I../../../../../programs/Xserver/hw/xfree86/vbe
-I../../../../../programs/Xserver/hw/xfree86/int10            
-I../../../../../programs/Xserver/hw/xfree86/ddc
-I../../../../../programs/Xserver/render -I../../../randr  -I../../../../..
-I../../../../../exports/include   -Dlinux -D__i386__ -D_POSIX_C_SOURCE=199309L
                                -D_POSIX_SOURCE -D_XOPEN_SOURCE                
             -D_BSD_SOURCE -D_SVID_SOURCE                                
-D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64 -D_GNU_SOURCE                       
    -DSHAPE -DXINPUT -DXKB -DLBX -DXAPPGROUP       -DXCSECURITY -DTOGCUP  
-DXF86BIGFONT -DDPMSExtension   -DXPRINT -DPIXPRIV -DPANORAMIX        -DRENDER
-DRANDR       -DXFIXES -DDAMAGE -DCOMPOSITE -DXEVIE    -DGCCUSESGAS
-DAVOID_GLYPHBLT -DPIXPRIV -DSINGLEDEPTH              -DXFreeXDGA -DXvExtension
                               -DXFree86LOADER -DDLOPEN_HACK -DXFree86Server   
                       -DXF86VIDMODE               -DXvMCExtension             
            -DSMART_SCHEDULE                                -DBUILDDEBUG
-DXResExtension                            -DX_BYTE_ORDER=X_LITTLE_ENDIAN      
                        -DXORG_VERSION_CURRENT="(((6) * 10000000) + ((9) *
100000) + ((0) * 1000) + 0)" -DNDEBUG   -DFUNCPROTO=15 -DNARROWPROTO    
-DMITMISC -DXTEST -DXTRAP        -DXSYNC -DXCMISC -DXRECORD      -DMITSHM
-DBIGREQS -DXF86VIDMODE        -DXF86MISC -DDBE -DDPMSExtension -DEVI      
-DSCREENSAVER -DXV -DXVMC       -DGLXEXT -DXF86DRI -DGLX_DIRECT_RENDERING
-DGLX_USE_DLOPEN -DGLX_USE_MESA  -DFONTCACHE          -DRES -DDDXOSINIT
-DSERVER_LOCK -DDDXOSFATALERROR                            -DDDXOSVERRORF
-DDDXTIME              -D__XCONFIGFILE__='"xorg.conf"'  
-D__XCONFIGDIR__='"/usr/X11R6/lib/X11"' -D__XLOGFILE__='"Xorg"'     
-D__XSERVERNAME__='"Xorg"' -D__XKBDEFRULES__='"xorg"'
-D__VENDORDWEBSUPPORT__='"http://wiki.X.Org"'           -DXVENDORNAME='"The
X.Org Foundation"' -DXVENDORNAMESHORT='"X.Org"' -DXF86PM   xf86pciBus.c
xf86pciBus.c: In function ‘FindPCIVideoInfo’:
xf86pciBus.c:314: error: ‘mem64’ undeclared (first use in this function)
xf86pciBus.c:314: error: (Each undeclared identifier is reported only once
xf86pciBus.c:314: error: for each function it appears in.)
make[7]: *** [xf86pciBus.o] Erreur 1
make[7]: quittant le répertoire «
/local_home/compil/xorg-x11-6.9.0.dfsg.1/build-tree/xc/programs/Xserver/hw/xfree86/common
»
make[6]: *** [all] Erreur 2
make[6]: quittant le répertoire «
/local_home/compil/xorg-x11-6.9.0.dfsg.1/build-tree/xc/programs/Xserver/hw/xfree86 »
make[5]: *** [hw/xfree86] Erreur 2
make[5]: quittant le répertoire «
/local_home/compil/xorg-x11-6.9.0.dfsg.1/build-tree/xc/programs/Xserver »
make[4]: *** [all] Erreur 2
make[4]: quittant le répertoire «
/local_home/compil/xorg-x11-6.9.0.dfsg.1/build-tree/xc/programs »
make[3]: *** [all] Erreur 2
make[3]: quittant le répertoire «
/local_home/compil/xorg-x11-6.9.0.dfsg.1/build-tree/xc »
make[2]: *** [World] Erreur 2
make[2]: quittant le répertoire «
/local_home/compil/xorg-x11-6.9.0.dfsg.1/build-tree/xc »
make[1]: *** [World] Erreur 2
make[1]: quittant le répertoire «
/local_home/compil/xorg-x11-6.9.0.dfsg.1/build-tree/xc »
make: *** [stampdir/build] Erreur 2

Comment 35 Alan Hourihane 2006-01-17 20:17:50 UTC
Sorry about that. At the top of the function, add this line...

Bool mem64 = FALSE;

Alan.
Comment 36 Quentin DELANCE 2006-01-18 00:27:39 UTC
Created attachment 4382 [details]
Xorg 6.9.0 patched freezing

logverbose 5
Comment 37 Quentin DELANCE 2006-01-18 00:29:03 UTC
(In reply to comment #35)
> Sorry about that. At the top of the function, add this line...
> 
> Bool mem64 = FALSE;
> 
> Alan.

With this line, the compilation est OK.
But Xorg is still freezing.
I have attached a log to help you find the problem.
Comment 38 Alan Hourihane 2006-01-18 01:33:19 UTC
In the same file can you comment out the lines that have the following in them...

pciCheckForBrokenBase( ... )

Comment them out with

#if 0
    ..... = pciCheckForBrokenBase( ... )
#endif

and retry
Comment 39 Alan Hourihane 2006-01-18 01:34:03 UTC
Oh, are you attaching the lspci output on a fresh boot ?

Have you done an lspci output when the Xserver has crashed ??
Comment 40 Quentin DELANCE 2006-01-18 01:37:58 UTC
(In reply to comment #39)
> Oh, are you attaching the lspci output on a fresh boot ?
> 
> Have you done an lspci output when the Xserver has crashed ??

No, gdm is still started automatically.
Is the output supposed to change ?
If this is the case, tell me and I'll update the ouputs.

In the meantime, I am going to change the source as mentionned in your previous
comment.
Comment 41 Alan Hourihane 2006-01-18 02:06:58 UTC
I'm asking is it changing ?? it shouldn't.
Comment 42 Quentin DELANCE 2006-01-18 02:16:14 UTC
(In reply to comment #41)
> I'm asking is it changing ?? it shouldn't.

That was my question (I was surprised that you ask me to check this as I think
it should not change too).

I'll check anyway to be sure.

Comment 43 Quentin DELANCE 2006-01-18 03:13:46 UTC
(In reply to comment #41)
> I'm asking is it changing ?? it shouldn't.

It does not change.
I have just tested after a fresh boot (no gdm, no xdm, no X), started Xorg (does
not work), then new test, same ouput (as expected).

I'll upload lspci ouput + Xorg log (with previous patch and call to
pciCheckForBrokenBase(...) commented.
Comment 44 Quentin DELANCE 2006-01-18 03:14:39 UTC
Created attachment 4384 [details]
lspci ouput with 2 patches
Comment 45 Quentin DELANCE 2006-01-18 03:15:33 UTC
Created attachment 4385 [details]
Xorg log with 2 patches, still freezing
Comment 46 Alan Hourihane 2006-01-18 09:54:53 UTC
Find the file xf86Bus.c and comment out the function call to ValidatePci().

Rebuild the Xorg server and try again.
Comment 47 Alan Hourihane 2006-01-18 09:55:27 UTC
Just to note, leave the other patches applied as well.
Comment 48 Quentin DELANCE 2006-01-18 20:58:05 UTC
Created attachment 4391 [details]
Xorg 6.9.0, working well with ALL patches
Comment 49 Quentin DELANCE 2006-01-18 21:01:40 UTC
(In reply to comment #47)
> Just to note, leave the other patches applied as well.

OK that's what I did.

Current patch set : 

=> xf86pci*.c
 + 64bit.patch
 + extra line for mem64 init
 + calls to pciCheckForBrokenBase(...) commented

=> xf86Bus.c
 + call to ValidatePCI() commented

I can provide diffs if needed (against debian source though, but it is likely to
be close to CVS as they keep extra patches in separate files)

Xorg is working but X -configure is still crashing (may be normal due to PCI
probe I guess).

Do you want me to test something else ?
Comment 50 Alan Hourihane 2006-01-19 21:47:32 UTC
*** Bug 5201 has been marked as a duplicate of this bug. ***
Comment 51 Alan Hourihane 2006-01-24 20:46:54 UTC
Using this as the tracker for this Xserver problem getting the PCI address
mucked up.
Comment 52 Alan Hourihane 2006-01-25 02:36:07 UTC
I've just checked in all the new code for x.org. Can you try compiling from
source again and see if it fixes your problem ?
Comment 53 Alan Hourihane 2006-01-25 02:36:34 UTC
whoops, wrong report ignore that.
Comment 54 Alan Hourihane 2006-02-10 03:29:46 UTC
*** Bug 5812 has been marked as a duplicate of this bug. ***
Comment 55 Alan Hourihane 2006-02-19 05:43:10 UTC
*** Bug 5941 has been marked as a duplicate of this bug. ***
Comment 56 John Hess 2006-03-17 09:46:39 UTC
I'm having this exact problem with the Xorg 7.0 packages in Ubuntu Dapper.  Is
there any word on this being fixed?
Comment 57 Alan Hourihane 2006-03-17 10:17:23 UTC
John - check comment #49 - there are patches attached to this bug to fix it,
they just need to be worked out into the CVS.
Comment 58 Matthieu Herrb 2006-03-17 10:21:49 UTC
Removing the ValidatePCI() call globally from Xorg seems pretty intrusive to me.
Is this really the way to go?
Comment 59 John Hess 2006-03-21 19:44:08 UTC
I just fixed my problems with Ubuntu Xorg by just commenting out the ValidatePCI
function.  It appears the other patches are unnecessary.
Comment 60 Alan Hourihane 2006-03-28 03:10:56 UTC
*** Bug 6410 has been marked as a duplicate of this bug. ***
Comment 61 Leonard Khoo 2006-03-28 05:20:51 UTC
I am running xorg-server-1.0.2 from gentoo which already includes the reverse
hunk patch. I commented out ValidatePci() from xf86Bus.c but compilation fails.
I have the same hardware as https://bugs.freedesktop.org/show_bug.cgi?id=5201
comment #7. 

make[5]: Entering directory
`/var/tmp/portage/xorg-server-1.0.2-r1/work/xorg-server-1.0.2/hw/xfree86/com
if i686-pc-linux-gnu-gcc -DHAVE_CONFIG_H -I. -I. -I../../../include
-I../../../include -I../../../includee86 -I../../../hw/xfree86/include
-I../../../hw/xfree86/common -I../../../hw/xfree86/os-support -I../..der
-I./../rac -I./../parser -I./../scanpci -I./../vbe -I./../int10 -I./../vgahw
-I./../dixmods/extmod  h -Wstrict-prototypes -Wmissing-prototypes
-Wmissing-declarations -Wnested-externs -fno-strict-aliasing /../include
-I../../../Xext -I../../../composite -I../../../damageext -I../../../xfixes
-I../../../Xi -Ier -I../../../randr -I../../../fb -I../../../lbx   -O2
-march=pentium-m -mtune=pentium-m -pipe -fomit-fro" -c -o xf86Configure.o
xf86Configure.c; \
then mv -f ".deps/xf86Configure.Tpo" ".deps/xf86Configure.Po"; else rm -f
".deps/xf86Configure.Tpo"; exi
if i686-pc-linux-gnu-gcc -DHAVE_CONFIG_H -I. -I. -I../../../include
-I../../../include -I../../../includee86 -I../../../hw/xfree86/include
-I../../../hw/xfree86/common -I../../../hw/xfree86/os-support -I../..der
-I./../rac -I./../parser -I./../scanpci -I./../vbe -I./../int10 -I./../vgahw
-I./../dixmods/extmod  h -Wstrict-prototypes -Wmissing-prototypes
-Wmissing-declarations -Wnested-externs -fno-strict-aliasing /../include
-I../../../Xext -I../../../composite -I../../../damageext -I../../../xfixes
-I../../../Xi -Ier -I../../../randr -I../../../fb -I../../../lbx   -O2
-march=pentium-m -mtune=pentium-m -pipe -fomit-fr6Bus.o xf86Bus.c; \
then mv -f ".deps/xf86Bus.Tpo" ".deps/xf86Bus.Po"; else rm -f
".deps/xf86Bus.Tpo"; exit 1; fi
xf86Bus.c:2491:6: invalid preprocessing directive #ValidatePci
if i686-pc-linux-gnu-gcc -DHAVE_CONFIG_H -I. -I. -I../../../include
-I../../../include -I../../../includee86 -I../../../hw/xfree86/include
-I../../../hw/xfree86/common -I../../../hw/xfree86/os-support -I../..der
-I./../rac -I./../parser -I./../scanpci -I./../vbe -I./../int10 -I./../vgahw
-I./../dixmods/extmod  h -Wstrict-prototypes -Wmissing-prototypes
-Wmissing-declarations -Wnested-externs -fno-strict-aliasing /../include
-I../../../Xext -I../../../composite -I../../../damageext -I../../../xfixes
-I../../../Xi -Ier -I../../../randr -I../../../fb -I../../../lbx   -O2
-march=pentium-m -mtune=pentium-m -pipe -fomit-fr-o xf86Config.o xf86Config.c; \
then mv -f ".deps/xf86Config.Tpo" ".deps/xf86Config.Po"; else rm -f
".deps/xf86Config.Tpo"; exit 1; fi
xf86Config.c:77:1: warning: "XKB_IN_SERVER" redefined
In file included from ../../../include/xorg-config.h:13,
                 from xf86Config.c:50:
../../../include/dix-config.h:337:1: warning: this is the location of the
previous definition
xf86Config.c: In function `GenerateDriverlist':
xf86Config.c:510: warning: passing arg 1 of `LoaderListDirs' from incompatible
pointer type
xf86Config.c: In function `configExtensions':
xf86Config.c:2461: warning: nested extern declaration of `EnableDisableExtension'
xf86Config.c: In function `xf86HandleConfigFile':
xf86Config.c:2676: warning: unused variable `stroffset'
make[5]: *** [xf86Bus.o] Error 1
make[5]: *** Waiting for unfinished jobs....
make[5]: Leaving directory
`/var/tmp/portage/xorg-server-1.0.2-r1/work/xorg-server-1.0.2/hw/xfree86/comm
make[4]: *** [all] Error 2
make[4]: Leaving directory
`/var/tmp/portage/xorg-server-1.0.2-r1/work/xorg-server-1.0.2/hw/xfree86/comm
make[3]: *** [all-recursive] Error 1
make[3]: Leaving directory
`/var/tmp/portage/xorg-server-1.0.2-r1/work/xorg-server-1.0.2/hw/xfree86'
make[2]: *** [all] Error 2
make[2]: Leaving directory
`/var/tmp/portage/xorg-server-1.0.2-r1/work/xorg-server-1.0.2/hw/xfree86'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory
`/var/tmp/portage/xorg-server-1.0.2-r1/work/xorg-server-1.0.2/hw'
make: *** [all-recursive] Error 1
Comment 62 Leonard Khoo 2006-03-28 05:21:55 UTC
My original bug:
https://bugs.freedesktop.org/show_bug.cgi?id=6410
Comment 63 Alan Hourihane 2006-03-28 05:24:10 UTC
For that build problem, you should file a bug with gentoo.
Comment 64 Alan Hourihane 2006-03-28 05:25:46 UTC
oops, no you shouldn't log it with gentoo.

You've commented it out incorrectly.

This is C source code and you can't just stick a # in front of ValidatePci.

Do this..

   /* ValidatePci(); */

or 

#if 0
   ValidatePci();
#endif.
Comment 65 Leonard Khoo 2006-03-28 05:52:58 UTC
That worked perfectly. Is this fix a temporary one? Is it in CVS? Should I ask
the gentoo dev to inculde this small patch? Thanks

Comment 66 Jiri Vyskocil 2006-04-03 03:43:21 UTC
I have i915 on my notebook and I'm encountering this bug (blank screen, can't
ctrl+alt+bksp, but ie. ssh works) even after commenting out the ValidatePCI()
function.
See related files: http://public.toh.cz/Xorg.0.log http://public.toh.cz/lspci
http://public.toh.cz/xorg.conf
Comment 67 greg 2006-04-03 13:13:35 UTC
Is there any progress on this bug? I have the same problem where 6.9.0 can't 
activate anything but the primary card. Is there any planned 6.9.1 release or 
anything like that coming up with multi-head support fixed?
Comment 68 Alan Hourihane 2006-04-04 23:48:37 UTC
*** Bug 6385 has been marked as a duplicate of this bug. ***
Comment 69 Jiri Vyskocil 2006-04-08 03:40:51 UTC
I turned out, that my problem was cause by the option
Option	"MonitorLayout" "LFP"
I had to remove it (which is strange, as LFP is the actual used monitor, and I
consider it another bug). Thus the /*ValidatePCI() */ did it for me.
Comment 70 Adam Jackson 2006-04-25 06:04:33 UTC
This bug is TL;DR.  So, for 7.1 planning purposes, I'd appreciate knowing:

- What the issue is
- What the status is in CVS
- If it's not fixed yet, whether it stands a chance of being fixed before 7.1.
Comment 71 Alan Hourihane 2006-04-25 23:09:35 UTC
Adam,

Basically it comes down to the ValidatePci() call that should be isolated.

It's ifdef'd out for other arches, and we're getting to the point where it
should probably be done for i386 arches too, but maybe with a commandline flag
-validatepci to be added to switch it on if needed.
Comment 72 Alan Hourihane 2006-04-25 23:12:50 UTC
*** Bug 6695 has been marked as a duplicate of this bug. ***
Comment 73 Alan Hourihane 2006-04-26 21:43:05 UTC
I'm pretty sure this will fix the problem here. Closing.

*** This bug has been marked as a duplicate of 6750 ***
Comment 74 greg 2006-04-27 01:31:45 UTC
Would it still be a good idea to make the ValidatePCI call still be optional 
with a command line flag to control it? 


bug/show.html.tmpl processed on Mar 29, 2017 at 22:54:35.
(provided by the Example extension).